Start OAuth authorization
Start OAuth for an integration. Generates OAuth state, stores a hash in httpOnly cookies, and redirects to the provider consent screen.
curl -X POST "https://api.talkturo.com/api/flow/integrations/oauth/authorize" \
-H "Content-Type: application/json" \
-d '{
"provider": "example_string",
"label": "example_string",
"account_slug": "example_string"
}'
import requests
import json
url = "https://api.talkturo.com/api/flow/integrations/oauth/authorize"
headers = {
"Content-Type": "application/json"
}
data = {
"provider": "example_string",
"label": "example_string",
"account_slug": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/flow/integrations/oauth/authorize", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"provider": "example_string",
"label": "example_string",
"account_slug": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"provider": "example_string",
"label": "example_string",
"account_slug": "example_string"
}`)
req, err := http.NewRequest("POST", "https://api.talkturo.com/api/flow/integrations/oauth/authorize", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/flow/integrations/oauth/authorize')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"provider": "example_string",
"label": "example_string",
"account_slug": "example_string"
}'
response = http.request(request)
puts response.body
{}
{}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
/flow/integrations/oauth/authorize
Target server for requests. Edit to use your own host.
Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Responses
Authorization started / redirect info